import React, { useState } from 'react';

const AddStudent = ({ addStudent }) => {

    const [name, setName] = useState('');
    const [mark, setMark] = useState('');

    const onAddStudent = (e) => {
        e.preventDefault()

        addStudent({
            id: Math.floor(Math.random() * 10000),
            mark: mark,
            text: name,
        });

        setName('');
        setMark('');
    }

    return (
        <form className='add-form' onSubmit={onAddStudent}>
            <div className='form-ctrl'>
                <label>Student Name</label>
                <input type='text' placeholder='Name' value={name} onChange={(e) => setName(e.target.value)} />
            </div>
            <div className='form-ctrl'>
                <label>Mark</label>
                <input type='number' placeholder='Mark' value={mark} onChange={(e) => setMark(e.target.value)} />
            </div>
            <input type='submit' value='Save' className='button button-block' />
        </form>
    )
}

export default AddStudent
