import { useState } from 'react'
import { ImBin } from 'react-icons/im'
import { MdOutlineModeEditOutline } from 'react-icons/md'
import { Modal, Button } from 'react-bootstrap';


const Students = ({ mark, children, onDeleteStudent, id, index, editStudent }) => {

    const [show, setShow] = useState(false);
    const handleClose = () => setShow(false);
    const handleShow = () => setShow(true);

    return (
        <>
            <div className='student'>
                <div>{index + 1}</div>
                <div>{children}</div>
                <div>{mark}</div>
                <div><small className={`${mark >= 35 ? 'pass' : 'fail'}`}>({mark >= 35 ? 'P' : 'F'})</small></div>
                <div style={{ display: 'flex' }}>
                    <div><MdOutlineModeEditOutline onClick={handleShow} /></div>
                    <div style={{ marginLeft: '10px' }}><ImBin onClick={() => onDeleteStudent(id)} /></div>
                </div>
            </div>
            <form className='add-form'>
                <Modal show={show} onHide={handleClose} centered>
                    <Modal.Header closeButton>
                        <Modal.Title>Edit Student Data</Modal.Title>
                    </Modal.Header>
                    <Modal.Body>
                        <div className='form-ctrl'>
                            <input type='text' value={children} />
                            <input type='text' value={mark} />
                        </div>
                    </Modal.Body>
                    <Modal.Footer>
                        <Button variant="secondary" onClick={handleClose}>
                            Close
                        </Button>
                        <Button variant="primary" type='submit' onClick={handleClose}>
                            Save Changes
                        </Button>
                    </Modal.Footer>
                </Modal>
            </form>
        </>
    )
}

export default Students
